import { Channel, QuickReplyButton } from "./channel";
import { Viber } from "../index";
export declare class VBExtension extends Channel {
    private _uid;
    constructor(_uid: any);
    text(text: any, quickReplies?: QuickReplyButton[]): {
        type: string;
        text: any;
    };
    image(url: String, quickReplies?: QuickReplyButton[], assetId?: string): {
        type: string;
        text: string;
        media: String;
    };
    video(url: String, quickReplies?: QuickReplyButton[], assetId?: String, thumbnail?: String, size?: Number): {
        type: string;
        size: Number;
        media: String;
        thumbnail: String;
    };
    buttonTemplate(text: String, buttons: any[]): {
        type: string;
        text: String;
        keyboard: {
            Type: string;
            Buttons: any[];
        };
    };
    genericTemplate(items: any): any;
    richMediaTemplate(items: Viber.GridButton[], style: Viber.Style): any;
    buttonGroup(buttons: any): Viber.GridButton[];
    genericItem(title: String, subtitle: String, imageUrl: String, actionUrl: any, buttons: any[]): any;
    postbackButton(title: any, payload: any, style: Viber.Style): Viber.Button;
    textButton(text: any, style: Viber.Style): Viber.Button;
    imageButton(style: Viber.Style): Viber.Button;
    replyButton(title: String, payload: any, style: Viber.Style): Viber.Button;
    sticker(ids: any[]): {
        type: string;
        sticker_id: any;
    };
    typing(duration: any): {
        type: string;
        duration: any;
    };
    urlButton(title: String, url: String, style: Viber.ButtonStyle): Viber.Button;
    quickReplyButtonTemplate(text: String, buttons: any): {
        type: string;
        text: String;
        keyboard: {
            Type: string;
            Buttons: any[];
        };
    };
    quickReplyButton(text: any, payload: any, style: Viber.ButtonStyle): Viber.Button;
    private appendQuickReplyTemplate;
}
